<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">

<h:head>
	<title>Persona</title>
</h:head>
<h:body>
<ui:include src="/menu.xhtml" />
	<p:fieldset legend="Personas" style="margin-top:10px;margin-bottom:10px;">
		<h:panelGrid columns="2">
			<h:form id="formPersona">
				<h:panelGrid columns="6" cellpadding="4" cellspacing="2">
					<p:outputLabel value="Nombre" />
					<p:inputText value="#{gestionPersonas.person.nombre}" />
					<p:outputLabel value="Apellido" />
					<p:inputText value="#{gestionPersonas.person.apellido}" />
					<p:outputLabel value="Telefono" />
					<p:inputText value="#{gestionPersonas.person.telefono}" />
				</h:panelGrid>
				<h:panelGrid columns="8" cellpadding="4" cellspacing="2">
					<p:outputLabel value="Usuario" />
					<p:inputText value="#{gestionPersonas.users.user}" />
					<p:outputLabel value="Contraseña" />
					<p:inputText value="#{gestionPersonas.users.password}" />
					<p:outputLabel value="Correo" />
					<p:inputText value="#{gestionPersonas.users.email}" />
					<p:outputLabel value="Tipo de Usuario" />
					<p:selectOneMenu value="#{gestionPersonas.tipoUs.idTipoUs}">
						<f:selectItems value="#{gestionPersonas.listTipoUs}" var="tu"
							itemValue="#{tu.idTipoUs}" itemLabel="#{tu.tipoUsuario}" />
					</p:selectOneMenu>
					<p:inputText value="#{gestionPersonas.users.personas.idPersona}"
						rendered="false" />

				</h:panelGrid>
				<h:panelGrid columns="2" style="margin:auto;">
					<p:commandButton rendered="#{gestionPersonas.person.nombre==null}"
						actionListener="#{gestionPersonas.createPersona()}"
						value="Guardar" update=":personTable,formPersona,:formPersona" />
					<p:commandButton rendered="#{gestionPersonas.person.nombre!=null}"
						actionListener="#{gestionPersonas.editPersona()}"
						value="Actualizar" update=":personTable,formPersona,:formPersona" />
					<p:commandButton rendered="#{gestionPersonas.person.nombre!=null}"
						actionListener="#{gestionPersonas.init()}" value="Cancelar"
						update=":personTable,formPersona,:formPersona" />
				</h:panelGrid>
			</h:form>
		</h:panelGrid>

		
			<h:form id="personTable">
			<h:panelGrid columns="8">
				<h:panelGrid style="width:80%;">
					<p:dataTable var="ver" value="#{gestionPersonas.listPerson}"
						paginator="true" rows="3">
						<f:facet name="header">Personas</f:facet>
						<p:column headerText="Id">
							<h:outputLabel value="#{ver.idPersona}" />
						</p:column>
						<p:column headerText="Nombre">
							<h:outputLabel value="#{ver.nombre}" />
						</p:column>
						<p:column headerText="Apellido">
							<h:outputLabel value="#{ver.apellido}" />
						</p:column>
						<p:column headerText="Telefono">
							<h:outputLabel value="#{ver.telefono}" />
						</p:column>
						<p:column headerText="Acciones">
							<p:commandButton value="Editar"
								actionListener="#{gestionPersonas.findPersonById(ver)}"
								update="formPersona" />
						</p:column>
					</p:dataTable>
				</h:panelGrid>

				<h:panelGrid style="width:80%;">
					<p:dataTable var="ver" value="#{gestionPersonas.listUsers}"
						paginator="true" rows="3">
						<f:facet name="header">Usuarios</f:facet>
						<p:column headerText="Id">
							<h:outputLabel value="#{ver.idUsuario}" />
						</p:column>
						<p:column headerText="Usuario">
							<h:outputLabel value="#{ver.user}" />
						</p:column>
						<p:column headerText="Contraseña">
							<h:outputLabel value="#{ver.password}" />
						</p:column>
						<p:column headerText="Correo">
							<h:outputLabel value="#{ver.email}" />
						</p:column>
						<p:column headerText="Acciones">
							<p:commandButton value="Editar"
								actionListener="#{gestionPersonas.findPersonById(ver)}"
								update="formPersona" />
						</p:column>
					</p:dataTable>
				</h:panelGrid>
					</h:panelGrid>
			</h:form>
	
	</p:fieldset>



</h:body>
</html>